Api referenceWorkspaces

Decide Audit Trigger

Reference for Decide Audit Trigger in the Hyperoru v1 API, including request, response, and authentication details.

POST/v1/workspaces/{workspace_id}/audit-triggers/{trigger_id}/decision

Decide Audit Trigger. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
trigger_id*Trigger Id
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/audit-triggers/497f6eca-6276-4993-bfeb-53cbbbba6f08/decision" \  -H "Content-Type: application/json" \  -d '{    "action": "approve_replace",    "reason": "string"  }'
{
  "actor_login": "string",
  "approved_at": "2019-08-24T14:15:22Z",
  "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d",
  "branch_ref": "string",
  "changed_paths": [
    "string"
  ],
  "conflicting_audit_id": "d71e2b44-0b7d-409b-8541-639253fd5491",
  "correlation_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "decided_at": "2019-08-24T14:15:22Z",
  "decision": "string",
  "decision_reason": "string",
  "event_type": "string",
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "linked_audit_id": "934f7979-3be2-4ed2-86ec-146dfa66fd0b",
  "not_before": "2019-08-24T14:15:22Z",
  "policy_id": "ee9b03e0-6495-427a-85a5-34444d24ae04",
  "policy_version": 0,
  "provider": "string",
  "provider_delivery_id": "string",
  "reason": "string",
  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",
  "revision": "string",
  "schedule_id": "8929bb67-0da1-406c-99d2-5447376a4f58",
  "updated_at": "2019-08-24T14:15:22Z",
  "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}